Page MenuHomePhabricator

Clean up Mentorship wiki pages now we're running these on Phabricator
Closed, ResolvedPublic

Description

We're managing Outreachy and GSOC entirely in Phabricator, but the wiki pages don't reflect that; it's confusing, and recent rounds look like failures on the wiki.

  • Replace desolate "Candidates" tables with link to Phabricator board (done)
  • Figure out if candidates need a wiki user page? spage thinks the flow is create wiki username -> create Phab login, but creating a user page on meta saying "I'm working on TNNNN" is optional.
  • Outreach programs/Application template tells candidates to create a wiki user page. Is this still true? Update it or kill it.
  • Complete FOSS Outreach Program for Women"/OPW -> Outreachy and "Summer of Code" -> Google Summer of Code renames.
  • Promote workboard links and deprecate wiki categories; add hatnotes or more prominent links to look at the Phab board.

etc.

Event Timeline

Spage created this task.Oct 5 2015, 8:08 PM
Spage raised the priority of this task from to Normal.
Spage updated the task description. (Show Details)

It would be useful to also mention which projects should be tagged in the proposal and also who are the key people to Subscribe in it.
Or should the subscribers and projects be the same as the original project task ?

It would be useful to also mention which projects should be tagged in the proposal and also who are the key people to Subscribe in it.
Or should the subscribers and projects be the same as the original project task ?

Subscribers will be the same when you click "Create subtask" to create the proposal task. But we must remove the Possible-Tech-Projects project to prevent the proposal from showing up on the Possible-tech-projects board.

TasneemLo added a comment.EditedOct 16 2015, 1:22 PM

And add Outreachy-Round-11 ?

EDIT :
Sorry, this is already mentioned in the wiki page - That project has to be added.

I think we should remove the link to "some real examples of good GSoC project proposals" on Application Template.

Two reasons:

  • The proposals are of the times when we had the proposal drafts written on the wiki pages
  • Some of the links are invalid

Rather, we can give the links to the newer versions of Phabricator projects.

Shall I go ahead with this minor edit?

Qgil added a comment.Oct 27 2015, 11:48 AM

Yes please! Good idea.

Qgil moved this task from Backlog to Organization on the Outreachy-Round-11 board.Oct 28 2015, 2:55 PM
Qgil added a comment.Nov 3 2015, 9:24 PM

Any volunteer willing to take this task during the DevRel-November-2015 sprint?

Aklapper updated the task description. (Show Details)Nov 4 2015, 11:11 AM
Aklapper set Security to None.

Thanks for catching that. I've fixed the link to list better/working examples.

I've taken a look at a bunch of pages (see list below) and made some edits...

  • Figure out if candidates need a wiki user page? spage thinks the flow is create wiki username -> create Phab login, but creating a user page on meta saying "I'm working on TNNNN" is optional. // Outreach programs/Application template tells candidates to create a wiki user page. Is this still true? Update it or kill it.

I'd just keep it. I've updated/tweaked the docs a bit and hope it's clearer now.

  • Complete FOSS Outreach Program for Women"/OPW -> Outreachy and "Summer of Code" -> Google Summer of Code renames.

Does that mean the proposal is to rename/move the old (sub)pages? Or is this just about text content in pages?

  • Promote workboard links and deprecate wiki categories; add hatnotes or more prominent links to look at the Phab board.

Which "wiki categories" do we refer to?

List:

@Spage: Any chance to get feedback on my two questions in T114704#1781521 (as you wrote the task desc here)?

This task is currently blocked on clarification of actionable items in the task description items. See T114704#1781521 - input welcome.

  • Complete FOSS Outreach Program for Women"/OPW -> Outreachy and "Summer of Code" -> Google Summer of Code renames.

Does that mean the proposal is to rename/move the old (sub)pages? Or is this just about text content in pages?

  • Promote workboard links and deprecate wiki categories; add hatnotes or more prominent links to look at the Phab board.

Which "wiki categories" do we refer to?

https://www.mediawiki.org/wiki/Category:Summer_of_Code_2015 ?
https://www.mediawiki.org/wiki/Category:Summer_of_Code_2015_proposals ?

Do you also want to rename https://www.mediawiki.org/wiki/Template:OPW ?

Aklapper updated the task description. (Show Details)Feb 11 2016, 5:19 PM

Promote workboard links and deprecate wiki categories; add hatnotes or more prominent links to look at the Phab board.

Deprecating wiki categories has happened de-facto - see the linked queries in my previous comment.
https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#Coming_up_with_a_proposal only talks about Phabricator now. Same for the short version in https://www.mediawiki.org/wiki/Outreachy/Round_12#Candidates . https://www.mediawiki.org/wiki/Outreach_programs/Application_template also talks about using it for a Phab task.
https://www.mediawiki.org/wiki/Outreachy/Round_12#Project_ideas links to the Phab board at https://phabricator.wikimedia.org/tag/possible-tech-projects/
The "Possible ideas" link on https://www.mediawiki.org/wiki/Outreachy goes to https://www.mediawiki.org/wiki/Outreach_programs/Possible_projects which also links to that Phab board.

Hence I think we're fine with this bullet point. Crossing off.

Aklapper updated the task description. (Show Details)Feb 11 2016, 5:27 PM

Figure out if candidates need a wiki user page? spage thinks the flow is create wiki username -> create Phab login, but creating a user page on meta saying "I'm working on TNNNN" is optional.

The flow in our current docs is to create a wiki user account and use it for Phab login.

Hence I've added a sentence that creating a user home page is optional but encouraged in https://www.mediawiki.org/w/index.php?title=Outreach_programs%2FLife_of_a_successful_project&action=historysubmit&type=revision&diff=2047104&oldid=1931336

Crossing that item off.

Aklapper closed this task as Resolved.Feb 11 2016, 5:35 PM
Aklapper claimed this task.
Aklapper updated the task description. (Show Details)

IMO nothing left to do here. Closing as resolved.
If you think there's more work, either reopen and lay out, or create a separate task. Thanks.

Qgil awarded a token.Feb 11 2016, 5:53 PM